[SciPy-dev] [matplotlib-devel] Preliminary patch for the (new) scipy

Travis Oliphant oliphant at ee.byu.edu
Mon Nov 21 12:12:04 CST 2005


Darren Dale wrote:

>On Sunday 20 November 2005 6:57 pm, Darren Dale wrote:
>  
>
>>On Sunday 20 November 2005 5:47 pm, Robert Kern wrote:
>>    
>>
>>>Darren Dale wrote:
>>>      
>>>
>>>>Will scipy_core ever include something like Numeric's lapack_lite?
>>>>        
>>>>
>>>scipy_core does not depend on ATLAS. It already has lapack_lite.
>>>
>>>[svk-projects]$ ls scipy_core/scipy/corelib/lapack_lite
>>>blas_lite.c         dlapack_lite.c      f2c_lite.c         
>>>zlapack_lite.c dlamch.c            f2c.h              
>>>lapack_litemodule.c
>>>      
>>>
>
>Sorry, I've obviously overlooked something, but maybe I have also discovered a 
>bug. I've just removed atlas/blas/lapack, updated scipy_core from svn, 
>removed my build and site-packages/scipy directories, and tried to build 
>scipy_core. Here is a warning message I get toward the end of the build and 
>install processes:
>  
>
This is definitely a configuration issue.  For some reason, the system 
is picking up BLAS information and therefore trying to compile _dotblas 
for you.   However, it is failing because the libblas file is not found.

Can you show us the output of the start of the build (where SYSTEM INFO 
things are printed).  Or just attach a complete record of the build.  
This might help track down what the configuration issue is.

-Travis




More information about the Scipy-dev mailing list